<template>
    <el-scrollbar class="main-content">
        <el-main>
            <el-form ref="profileForm" :model="profileForm" :rules="profileRules" class="content-form" auto-complete="off" label-position="top" status-icon @submit.prevent="doSave">
                <el-form-item prop="fullname">
                    <el-input
                        ref="fullname"
                        name="fullname"
                        v-model="profileForm.fullname"
                        placeholder="Enter your fullname"
                        auto-complete="off">
                    </el-input>
                </el-form-item>
            </el-form>
        </el-main>    
    </el-scrollbar>
</template>

<script>
    export default {
        name: 'Profile',
        data(){
            return {
                profileForm: {
                    fullname: ''
                },
                profileRules: {
                    fullname: [{ required: true, trigger: 'blur' }]
                },
                loading: false
            }
        },
        created(){
            console.log('profile created')
        },
        mounted(){
            console.log('profile mounted')
        },
        methods: {
            doSave(){

            }
        }
    }
</script>

